Connecting an EPSON Workforce WF 3640 Printer to Trisquel on Lenovo T400 Libreboot

10 respuestas [Último envío]
andrewandmelissao
Desconectado/a
se unió: 03/29/2018

Hello everyone, I am brand new to this forum and I am excited to read through the content on the forum. I am just hoping someone can help me out. I have an Epson Workforce WF 3540 Printer and I have a USB running from the printer to my Lenovo T400 Laptop running Libreboot and Trisquel. I have tried adding a new printer on the network. The printer does appear, but when I click on the logo and click the button to setup printer, I get the error "Failed to add new printer". I did look into downloading a driver from the Epson website, but after calling them, they said a driver would not be necessary and that I should be able to connect just through USB. Any help and assistance on this would be greatly appreciated. Thank you all so much!

Magic Banana

I am a member!

Desconectado/a
se unió: 07/24/2010

A driver is necessary. The help desk probably said that it should be installed by default in your distribution. Is the package "printer-driver-all" installed on your system? If so, it may be that the printer is recent and Trisquel 7 does not have the driver. Trisquel 8 may have it. Try to add the printer from Trisquel 8's live system and see: http://jenkins.trisquel.info/makeiso/iso/trisquel_8.0_amd64.iso

andrewandmelissao
Desconectado/a
se unió: 03/29/2018

Thanks Magic Banana for the reply and help. I figured a driver was necessary. It seems like I have Trisquel 7 running on my computer. Is there a way to upgrade my computer to Trisquel 8 without wiping all my data off? Also, the link you shared above is not found. How can I check if I have the package "printer-driver-all" installed on my system? Thanks again for your help!

loldier
Desconectado/a
se unió: 02/17/2016

Quidam must be working on that iso (removed for now).

Try this link:

http://jenkins.trisquel.info/makeiso/iso/20180401/trisquel-mini_8.0_amd64.iso

Try

apt show printer-driver-all

It should show if the package is manually installed. It won't hurt if you just try to install it 'sudo apt install printer-driver-all'. It will tell you if it's installed already (if that's the case), otherwise will proceed if you type 'y' and press return.

Upgrade in place (-d 'development release'):

sudo do-release-upgrade -d

Check terminal 'man do-release-upgrade'.

do-release-upgrade.png
andrewandmelissao
Desconectado/a
se unió: 03/29/2018

Ioldier thank you for your help. Unfortunately with all of this help, I am still getting the same errors. Do you have any other suggestions??? Thanks!!!

GNUser
Desconectado/a
se unió: 07/17/2013

Did you upgrade to Trisquel 8? Does it still fail?
Usually HP printers work better with free software. Also, try checking h-node, maybe there is some info on your device.

andrewandmelissao
Desconectado/a
se unió: 03/29/2018

@GNUser thank you for your help!

I just tried to upgrade my computer to Trisquel 8 and got the following error:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade.

This can be caused by:
* Upgrading to a pre-release version of Trisquel
* Running the current pre-release version of Trisquel
* Unofficial software packages not provided by Trisquel

If none of this applies, then please report this bug using the command https://trisquel.info/en/project/issues in a browser..

Any ideas???

Screenshot from 2018-06-21 17:11:57.png
GNUser
Desconectado/a
se unió: 07/17/2013

I might be mistaken but I think other users have noticed that having programs installed from PPAs and such caused errors when trying to upgrade. Try checking other threads about the upgrading process.

Magic Banana

I am a member!

Desconectado/a
se unió: 07/24/2010

That is correct. 'ppa-purge', in Trisquel's repository, helps. See https://trisquel.info/forum/trisquel-8-codename-flidas-release-candidate-ready-testing#comment-130971

pehjota
Desconectado/a
se unió: 02/09/2013

As stated, you need a driver – specifically, the printer-driver-escpr package. The NEWS file says your printer model was added in version 1.4.0. Trisquel 7 has version 1.3.0, while Trisquel 8 has 1.6.3, so you'll need the version from T8. If you can't upgrade to T8, you could just install the single package from T8. Installing binary packages from different distribution versions normally isn't recommended, but in this case the dependencies are met in T7, so it should work fine.

andrewandmelissao
Desconectado/a
se unió: 03/29/2018

I was finally today able to install Trisquel 8 on my T400 and printed my first page from my printer. Yay! Thank you all for your support throughout this whole time!